Package: groovy.lang

## [Java] Class PropertyValue

- groovy.lang.PropertyValue

-     public class PropertyValue
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyValue(Object bean, MetaProperty mp)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getName()`
    `` | `public Class` | `getType()`
    `` | `public Object` | `getValue()`
    `` | `public void` | `setValue(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public PropertyValue(Object bean, MetaProperty mp)

  - ### Method Detail

    - #### public String getName()

    - #### public Class getType()

    - #### public Object getValue()

    - #### public void setValue(Object value)